> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.campflare.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Notices

> Get notices by campground id

```
GET /campground/:id/notices
```

This endpoint only includes relevant notices. Notices will automatically expire when they are no longer relevant. Historical notices will be supported in a future version of this API.


## OpenAPI

````yaml GET /campground/:id/notices
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  version: 1.0.0
servers:
  - url: https://api.campflare.com/v2
security: []
paths:
  /campground/:id/notices:
    get:
      summary: Get notices by campground id
      description: Get notices by campground id
      parameters:
        - name: id
          in: path
          description: Unique identifier of the campground
          required: true
          schema:
            type: string
        - name: include_geometry
          in: query
          description: >-
            Includes the GeoJSON of the notice (Point, Polygon, or
            Multipolygon).
          required: false
          schema:
            type: boolean
            default: false
        - name: include_intersecting
          in: query
          description: >-
            Includes notices that overlap the campground geometrically. For
            example a notice at the park level or an extreme weather alert.
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Array of notices
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Notice'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Notice:
      type: object
      description: >-
        Event or condition that affects a specific entity (Point) or a
        geographic area (Polygon).
      required:
        - id
        - title
        - shape_summary
        - source
      properties:
        id:
          type: string
          description: Globally unique notice identifier
        title:
          type: string
          description: Human-readable headline
        description:
          type: string
          description: Optional long-form body text
        kind:
          type: string
          enum:
            - weather
            - fire
            - closure
          description: Top-level category. Note that more kinds may be added here.
        severity:
          type: string
          enum:
            - info
            - minor
            - moderate
            - severe
            - extreme
          description: Relative urgency / impact
        start:
          type: string
          format: date-time
          description: ISO-8601 start timestamp
        end:
          type: string
          format: date-time
          description: ISO-8601 end timestamp
        geometry_summary:
          type: object
          description: Lightweight geometry hint
          required:
            - kind
          properties:
            kind:
              type: string
              enum:
                - point
                - polygon
              description: >-
                Geometry type. Note that `polygon` may also represent a
                MultiPolygon.
            point:
              type: object
              description: Present when type == "point"
              properties:
                latitude:
                  type: number
                  format: float
                longitude:
                  type: number
                  format: float
            bbox:
              type: object
              properties:
                min_latitude:
                  type: number
                  description: Minimum latitude
                max_latitude:
                  type: number
                  description: Maximum latitude
                min_longitude:
                  type: number
                  description: Minimum longitude
                max_longitude:
                  type: number
                  description: Maximum longitude
              required:
                - min_latitude
                - max_latitude
                - min_longitude
                - max_longitude
              description: >-
                Boundary box in lat/lng format. This is used to limit the search
                to a particular geographic region
        target:
          type: object
          required:
            - kind
            - id
          description: >-
            If the notice is **directly** tied to a target (campground, land,
            etc), this field will be set. Omitted for free-floating polygons
            such as random weather alerts.
          properties:
            kind:
              type: string
              enum:
                - campground
                - land
              description: >-
                Entity category. This enum will expand as notices become more
                available for more types throughout the API.
            id:
              type: string
              description: The id of that target.
        source:
          type: object
          required:
            - name
          properties:
            name:
              type: string
              description: Upstream friendly source name (e.g. NWS, NPS, USFS)
            url:
              type: string
              format: uri
              description: Link to the original notice
        geometry:
          type: object
          description: >-
            GeoJSON geometry object (Point, Polygon, MultiPolygon, etc.). Set
            the `include_geometry` flag to populate this field.
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            kind:
              type: string

````